{
    "compilerOptions": {
        "target": "esnext",
        "lib": ["dom", "dom.iterable", "esnext"],
        "types": ["node", "react", "react-dom", "next", "@testing-library/jest-dom"],
        "allowJs": true,
        "skipLibCheck": true,
        "strict": true,
        "forceConsistentCasingInFileNames": true,
        "noEmit": true,
        "esModuleInterop": true,
        "allowSyntheticDefaultImports": true,
        "module": "esnext",
        "moduleResolution": "bundler",
        "resolveJsonModule": true,
        "isolatedModules": true,
        "jsx": "preserve",
        "incremental": true,
        "baseUrl": ".",
        "paths": {
            "@/components/*": ["src/app/(components)/*"],
            "@/fonts/*": ["src/app/(fonts)/*"],
            "@/icons/*": ["src/app/(components)/icons/*"],
            "@/hooks/*": ["src/app/(hooks)/*"],
            "@/types/*": ["src/app/(types)/*"],
            "@/utils/*": ["src/app/(utils)/*"],
            "@/logging/*": ["src/app/(logging)/*"],
            "@/modules/*": ["src/app/(modules)/*"],
            "@/services/*": ["src/app/(services)/*"],
            "@/schema/*": ["src/app/(schema)/*"],
            "@/context/*": ["src/app/(context)/*"],
            "@/styles/*": ["src/app/(styles)/*"],
            "@/images/*": ["public/assets/images/*"],
            "@/logos/*": ["public/assets/images/logos/*"],
            "@/textContent/*": ["src/app/(textContent)/*"],
            "@/data/*": ["src/app/(data)/*"],
            "@/*": ["src/app/*"]
        },
        "plugins": [
            {
                "name": "next"
            }
        ]
    },
    "include": ["next-env.d.ts", "./src/**/*.ts", "./src/**/*.tsx", "./src/config.ts", "environment.d.ts", ".next/types/**/*.ts"],
    "exclude": ["node_modules"]
}
